Puppet Class: toollabs::genpp::python_exec_jessie

Defined in:
modules/toollabs/manifests/genpp/python_exec_jessie.pp

Overview



8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
# File 'modules/toollabs/manifests/genpp/python_exec_jessie.pp', line 8

class toollabs::genpp::python_exec_jessie {
    require_package(
        'python-babel',         # 1.3
        'python3-babel',        # 1.3
        'python-beautifulsoup', # 3.2.1
        # python3-beautifulsoup is not available
        'python-bottle',        # 0.12.7
        'python3-bottle',       # 0.12.7
        'python-celery',        # 3.1.13
        'python3-celery',       # 3.1.13
        'python-cffi',          # 0.8.6
        'python3-cffi',         # 0.8.6
        'python-egenix-mxdatetime', # 3.2.8
        # python3-egenix-mxdatetime is not available
        'python-egenix-mxtools', # 3.2.8
        # python3-egenix-mxtools is not available
        'python-enum34',        # 1.0.3
        'python3-enum34',       # 1.0.3
        'python-flask',         # 0.10.1
        'python3-flask',        # 0.10.1
        'python-flask-login',   # 0.2.6
        # python3-flask-login is not available
        'python-flickrapi',     # 1.2
        # python3-flickrapi is not available
        'python-flup',          # 1.0.2
        # python3-flup is not available
        'python-gdal',          # 1.10.1
        'python3-gdal',         # 1.10.1
        'python-gdbm',          # 2.7.8
        'python3-gdbm',         # 3.4.2
        'python-genshi',        # 0.7
        'python3-genshi',       # 0.7
        'python-genshi-doc',    # 0.7
        # python3-genshi-doc is not available
        'python-geoip',         # 1.3.2
        'python3-geoip',        # 1.3.2
        'python-gevent',        # 1.0.1
        # python3-gevent is not available
        'python-gi',            # 3.14.0
        'python3-gi',           # 3.14.0
        'python-greenlet',      # 0.4.2
        'python3-greenlet',     # 0.4.2
        'python-httplib2',      # 0.9
        'python3-httplib2',     # 0.9
        'python-imaging',       # 2.6.1
        # python3-imaging is not available
        'python-ipaddr',        # 2.1.11
        # python3-ipaddr is not available
        # python-irclib is not available
        # python3-irclib is not available
        'python-keyring',       # 4.0
        'python3-keyring',      # 4.0
        'python-launchpadlib',  # 1.10.2
        # python3-launchpadlib is not available
        'python-lxml',          # 3.4.0
        'python3-lxml',         # 3.4.0
        'python-magic',         # 1:5.22
        'python3-magic',        # 1:5.22
        'python-matplotlib',    # 1.4.2
        'python3-matplotlib',   # 1.4.2
        'python-mysql.connector', # 1.2.3
        'python3-mysql.connector', # 1.2.3
        'python-mysqldb',       # 1.2.3
        # python3-mysqldb is not available
        'python-newt',          # 0.52.17
        'python3-newt',         # 0.52.17
        'python-nose',          # 1.3.4
        'python3-nose',         # 1.3.4
        'python-numpy',         # 1:1.8.2
        'python3-numpy',        # 1:1.8.2
        'python-opencv',        # 2.4.9.1
        # python3-opencv is not available
        'python-pandas',        # 0.14.1
        'python3-pandas',       # 0.14.1
        'python-pil',           # 2.6.1
        'python3-pil',          # 2.6.1
        # python-problem-report is not available
        # python3-problem-report is not available
        'python-psycopg2',      # 2.5.4
        'python3-psycopg2',     # 2.5.4
        'python-pycountry',     # 1.8
        'python3-pycountry',    # 1.8
        'python-pydot',         # 1.0.28
        'python3-pydot',        # 1.0.28
        'python-pyexiv2',       # 0.3.2
        # python3-pyexiv2 is not available
        'python-pygments',      # 2.0.1
        'python3-pygments',     # 2.0.1
        'python-pyicu',         # 1.8
        # python3-pyicu is not available
        'python-pyinotify',     # 0.9.4
        'python3-pyinotify',    # 0.9.4
        'python-requests',      # 2.4.3
        'python3-requests',     # 2.4.3
        'python-requests-oauthlib', # 0.4.0
        'python3-requests-oauthlib', # 0.4.0
        'python-rsvg',          # 2.32.0
        # python3-rsvg is not available
        'python-scipy',         # 0.14.0
        'python3-scipy',        # 0.14.0
        'python-sqlalchemy',    # 0.9.8
        'python3-sqlalchemy',   # 0.9.8
        'python-svn',           # 1.7.8
        # python3-svn is not available
        'python-tk',            # 2.7.8
        'python3-tk',           # 3.4.2
        'python-twisted',       # 14.0.2
        # python3-twisted is not available
        'python-twitter',       # 1.1
        # python3-twitter is not available
        'python-unicodecsv',    # 0.9.4
        # python3-unicodecsv is not available
        'python-unittest2',     # 0.5.1
        # python3-unittest2 is not available
        'python-virtualenv',    # 1.11.6
        'python3-virtualenv',   # 1.11.6
        'python-wadllib',       # 1.3.2
        'python3-wadllib',      # 1.3.2
        'python-webpy',         # 1:0.37
        # python3-webpy is not available
        'python-werkzeug',      # 0.9.6
        'python3-werkzeug',     # 0.9.6
        'python-zbar',          # 0.10
        # python3-zbar is not available
        'python-zmq',           # 14.4.0
        'python3-zmq',          # 14.4.0
    )
}